Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.binding.staging
Class MutableDeviceDescriptor

    java.lang.Object
      org.teleal.cling.binding.staging.MutableDeviceDescriptor

    public class MutableDeviceDescriptor

extends Object

Author:
  Christian Bauer

Field Summary
`URL` | `baseURL`
`List<MutableDeviceService>` | `deviceServices`
`String` | `deviceType`
`List<MutableDeviceDescriptor>` | `embeddedDevices`
`String` | `friendlyName`
`List<MutableIcon>` | `icons`
`String` | `manufacturer`
`URI` | `manufacturerURI`
`String` | `modelDescription`
`String` | `modelName`
`String` | `modelNumber`
`URI` | `modelURI`
`MutableDeviceDescriptor` | `parentDevice`
`URI` | `presentationURI`
`String` | `serialNumber`
`int` | `udaMajorVersion`
`int` | `udaMinorVersion`
`UDN` | `udn`
`String` | `upc`

Constructor Summary
`MutableDeviceDescriptor()`

Method Summary
`Device` | `build(Device prototype)`
`Device` | `build(Device prototype, UDAVersion deviceVersion, URL baseURL)`
`DeviceDetails` | `createDeviceDetails(URL baseURL)`
`DeviceService[]` | `createDeviceServices()`
`DeviceType` | `createDeviceType()`
`UDAVersion` | `createDeviceVersion()`
`Icon[]` | `createIcons()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### udn

    public UDN udn

### udaMajorVersion

    public int udaMajorVersion

### udaMinorVersion

    public int udaMinorVersion

### baseURL

    public URL baseURL

### deviceType

    public String deviceType

### friendlyName

    public String friendlyName

### manufacturer

    public String manufacturer

### manufacturerURI

    public URI manufacturerURI

### modelName

    public String modelName

### modelDescription

    public String modelDescription

### modelNumber

    public String modelNumber

### modelURI

    public URI modelURI

### serialNumber

    public String serialNumber

### upc

    public String upc

### presentationURI

    public URI presentationURI

### icons

    public List<MutableIcon> icons

### deviceServices

    public List<MutableDeviceService> deviceServices

### embeddedDevices

    public List<MutableDeviceDescriptor> embeddedDevices

### parentDevice

    public MutableDeviceDescriptor parentDevice

Constructor Detail

### MutableDeviceDescriptor

    public MutableDeviceDescriptor()

Method Detail

### build

    public Device build(Device prototype)
                 throws ValidationException

  Throws:
    `ValidationException`

### build

    public Device build(Device prototype,
                        UDAVersion deviceVersion,
                        URL baseURL)
                 throws ValidationException

  Throws:
    `ValidationException`

### createDeviceVersion

    public UDAVersion createDeviceVersion()

### createDeviceType

    public DeviceType createDeviceType()

### createDeviceDetails

    public DeviceDetails createDeviceDetails(URL baseURL)

### createIcons

    public Icon[] createIcons()

### createDeviceServices

    public DeviceService[] createDeviceServices()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.